Bug 144080 - CAN-2005-0585 download dialog URL spoofing
Summary: CAN-2005-0585 download dialog URL spoofing
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: impact=low,public=20050104
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-04 13:15 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 19:11:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:384 high SHIPPED_LIVE Important: Mozilla security update 2005-04-28 04:00:00 UTC

Description Josh Bressers 2005-01-04 13:15:34 UTC
Secunia has also reported a download dialog URL spoofing issue
http://secunia.com/secunia_research/2004-15/advisory/

The problem is that long sub-domains and paths aren't displayed
correctly, which therefore can be exploited to obfuscate what is
being displayed in the source field of the Download Dialog box.

Comment 1 Josh Bressers 2005-01-04 13:19:27 UTC
This issue should also affect RHEL2.1

Comment 2 Christopher Blizzard 2005-01-04 18:17:06 UTC
Over to caillon.

Comment 3 Josh Bressers 2005-04-28 19:11:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-384.html



Note You need to log in before you can comment on or make changes to this bug.